[Crowbar] Prebuilt ISO, hadoop-fred2 is working

Maxime Brugidou maxime.brugidou at gmail.com
Fri Jul 6 06:17:25 CDT 2012


Hi, I just followed the steps this morning from the updated wiki page, I am
building the iso from Ubuntu 12.04 for a Centos 6.2 target.

I built from releases/fred/master since I don't want any hadoop or
openstack barclamp.

The iso looks good, but when i run ./install admin.crowbar.org (in a test
VM) it fails on the initial yum update:

[root at localhost extra]# tail -f /var/log/install.log
Script started on Fri 06 Jul 2012 10:59:34 AM UTC
Installing admin with version: v1.2-1097-gb3803e1-dev
2012-07-06 10:59:43 +0000: Setting Hostname...
2012-07-06 10:59:43 +0000: Installing Basic Packages
2012-07-06 10:59:45 +0000: Installing updated packages.
2012-07-06 10:59:45 +0000: yum -q -y update failed.
See /var/log/install-yum.log and /var/log/install-yum.err for more
information.

output from /var/log/install-yum.err:

2012-07-06 10:59:45 +0000: Running yum -q -y update
Error: Package: ntsysv-1.3.47-1.el6.x86_64
(@anaconda-CentOS-201112091719.x86_64/6.2)
           Requires: chkconfig = 1.3.47-1.el6
           Removing: chkconfig-1.3.47-1.el6.x86_64
(@anaconda-CentOS-201112091719.x86_64/6.2)
               chkconfig = 1.3.47-1.el6
           Updated By: chkconfig-1.3.49.3-1.el6_2.x86_64 (crowbar-crowbar)
               chkconfig = 1.3.49.3-1.el6_2

On Thu, Jul 5, 2012 at 6:52 PM, <Rob_Hirschfeld at dell.com> wrote:

> All,
>
> I did a new build of the OpenStack & Hadoop Crowbar ISOs (now *-fred2.iso)
> that seem to be working all the way to an OpenStack Nova deploy - I have
> not been able to launch a VM yet.  I am looking at Hadoop next.
>
> I've also updated the "just build Crowbar" instructions on the wiki
> https://github.com/dellcloudedge/crowbar/wiki/Build-Crowbar.ISO so that
> they do not require dev tool.
>
> Rob
>
> -----Original Message-----
> From: crowbar-bounces On Behalf Of ???
> Sent: Wednesday, July 04, 2012 3:43 AM
> To: crowbar
> Subject: [Crowbar] Prebuilt ISO, hadoop-fred is broken
>
> It stops installing crowbar after chef, with error in
> /var/log/install-validation.err showing missing ruby gem kwalify.
> Tried installing kwalify manually from EPEL, but subsequent gems such as
> 'sass' etc are also missing.
> I hope I could build Cloudera-hadoop+CentOS ISO myself but unfortunately I
> cannot build the ISO because cloudera repository is blocked from my place
> (can't get help from network guy)
>
> Anybody have same problem?
>
> _______________________________________________
> Crowbar mailing list
> Crowbar at dell.com
> https://lists.us.dell.com/mailman/listinfo/crowbar
> For more information: https://github.com/dellcloudedge/crowbar/wiki
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.us.dell.com/pipermail/crowbar/attachments/20120706/f08212a9/attachment.html 


More information about the Crowbar mailing list